For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
SupportLog InSign Up
GuidesAPI Reference
GuidesAPI Reference
  • Tax Rates
    • GETGet Tax Rates (v6.0)
  • Merchant
    • POSTCreate Merchant
    • POSTUpdate Merchant
    • POSTDelete Merchant
    • POSTGet Merchant
    • GETList Merchants
    • POSTSet Merchant Credentials
    • POSTGet Merchant Credentials
    • POSTDelete Merchant Credentials
  • Data
    • GETGet TIC Codes
  • System
    • GETHealth Check
    • GETGet System Metadata
  • Ziptax API
SupportLog InSign Up
Merchant

Delete Merchant

POST
https://api.ziptax.com/merchant/delete
POST
/merchant/delete
$curl -X POST https://api.ziptax.com/merchant/delete \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "merchantId": "merchantId"
>}'
1{
2 "merchantId": "merchantId",
3 "message": "message",
4 "status": "status"
5}

Soft-deletes a merchant. The caller must own the merchant.

Was this page helpful?
Previous

Get Merchant

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.
merchantIdstringRequired
UUID of the merchant to delete

Response

OK
merchantIdstring
UUID of the deleted merchant
messagestring

Human-readable result message

statusstring
Operation status

Errors

400
Delete Merchant Body Bad Request Error
401
Delete Merchant Body Unauthorized Error
403
Delete Merchant Body Forbidden Error
404
Delete Merchant Body Not Found Error
422
Delete Merchant Body Unprocessable Entity Error
500
Delete Merchant Body Internal Server Error